## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global plat_id  org.fedoraproject.Platform
%global gtk3_id  org.fedoraproject.Gtk3theme
%global sdk_ext  org.fedoraproject.Sdk.Extension
%global aud_plg  org.fedoraproject.LinuxAudio.Plugins

%if %{defined flatpak_runtime}
%global _prefix /app
%endif

Name:           flatpak-app-config
Version:        42
Release:        %autorelease
Summary:        Additional configuration files for Fedora Flatpak applications
License:        MIT

BuildArch:      noarch

BuildRequires:  libappstream-glib

%global _description %{expand:
This package includes configuration files that are installed into select flatpak
applications during the building process.
}
%description %{_description}

%define add_subpkg(n:i:r:) \
%global all_appdata %{?all_appdata} %{-i:%{-i*}.metainfo.xml}\
%define pkgname %{-n:%{-n*}}%{!-n:%{error:Package name not defined}}\
%package -n %{pkgname}-flatpak-config\
Summary: Flatpak configuration for %{pkgname}\
Provides: %{name}-%{pkgname} = %{version}-%{release}\
Supplements: (%{pkgname} and flatpak-runtime-config)\
%{-r:Requires: %{-r*}}\
%{-i:Source: %{-i*}.metainfo.xml}\
\
%description -n %{pkgname}-flatpak-config %{_description}\
\
%files -n %{pkgname}-flatpak-config\
%{-i:%{_metainfodir}/%{-i*}.metainfo.xml}


# runtime extensions
%add_subpkg -n libva-nvidia-driver -i %{plat_id}.VAAPI.nvidia
%add_subpkg -n mesa -i %{plat_id}.GL.default
#add_subpkg -n noopen264 -i %%{plat_id}.openh264
# Gtk3theme extensions
%add_subpkg -n adw-gtk3-theme -i %{gtk3_id}.adw-gtk3
%add_subpkg -n breeze-gtk-gtk3 -i %{gtk3_id}.Breeze
%if 0
# LinuxAudio extensions
%add_subpkg -n calf -i %{aud_plg}.Calf
%add_subpkg -n ladspa-caps-plugins -i %{aud_plg}.CAPS
%add_subpkg -n ladspa-cmt-plugins -i %{aud_plg}.CMT
%add_subpkg -n ladspa-swh-plugins -i %{aud_plg}.swh
%add_subpkg -n ladspa-tap-plugins -i %{aud_plg}.TAP
%add_subpkg -n ladspa-zam-plugins -i %{aud_plg}.ZAM
%add_subpkg -n lsp-plugins -i %{aud_plg}.LSP
%add_subpkg -n lv2-bankstown -i %{aud_plg}.Bankstown
%add_subpkg -n lv2-mdala-plugins -i %{aud_plg}.MDA
%add_subpkg -n lv2-x42-plugins -i %{aud_plg}.x42Plugins
%endif
# common app extensions
%add_subpkg -n yt-dlp -i %{plat_id}.YtDlp
# SDK extensions
%add_subpkg -n golang -i %{sdk_ext}.golang
%add_subpkg -n java-21-openjdk -i %{sdk_ext}.openjdk21
%add_subpkg -n llvm19 -i %{sdk_ext}.llvm19
%add_subpkg -n llvm20 -i %{sdk_ext}.llvm20
%add_subpkg -n pandoc -i %{sdk_ext}.pandoc
%add_subpkg -n rust -i %{sdk_ext}.rust-stable
%add_subpkg -n texlive -i %{sdk_ext}.texlive
# CLI utilities for HW acceleration APIs
%add_subpkg -n clinfo -i %{plat_id}.ClInfo
%add_subpkg -n mesa-demos -i %{plat_id}.GlxInfo
%add_subpkg -n libva-utils -i %{plat_id}.VaInfo
%add_subpkg -n vdpauinfo -i %{plat_id}.VdpauInfo
%add_subpkg -n vulkan-tools -i %{plat_id}.VulkanInfo
# additional dependencies
%add_subpkg -n ark -r arj,p7zip-plugins,unrar,unar
%add_subpkg -n gdk-pixbuf2-modules-extra -r avif-pixbuf-loader,gdk-pixbuf2-modules,heif-pixbuf-loader,jxl-pixbuf-loader,rsvg-pixbuf-loader,webp-pixbuf-loader
%add_subpkg -n gtk2 -r adwaita-gtk2-theme,breeze-gtk-gtk2,fcitx5-gtk2,gtk2-engines,gtk2-immodules,ibus-gtk2
%add_subpkg -n phonon-qt6 -r phonon-qt6-backend-vlc,vlc-plugins-base,vlc-plugins-video-out,vlc-plugin-ffmpeg,vlc-plugin-gstreamer,vlc-plugins-pulseaudio

%prep

%build

%install
# Install appdata
mkdir -p %{buildroot}%{_metainfodir}
for a in %{all_appdata}; do
    install -t %{buildroot}%{_metainfodir} -p -m 0644 %{_sourcedir}/$a
done


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Mon Mar 24 2025 John Doe <packager@example.com> - 42-1
- Uncommitted changes
## END: Generated by rpmautospec
